[android-components](../../../../index.md) / [mozilla.components.ui.doorhanger](../../../index.md) / [DoorhangerPrompt](../../index.md) / [Control](../index.md) / [RadioButton](./index.md)

# RadioButton

`data class RadioButton : `[`Control`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/ui/doorhanger/src/main/java/mozilla/components/ui/doorhanger/DoorhangerPrompt.kt#L116)

[Control](../index.md) implementation for radio buttons. A radio button is a two-states button that can be either checked
or unchecked.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `RadioButton(label: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>[Control](../index.md) implementation for radio buttons. A radio button is a two-states button that can be either checked or unchecked. |

### Properties

| Name | Summary |
|---|---|
| [checked](checked.md) | `var checked: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [label](label.md) | `val label: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
